WEECHAT(1)

NOM
weechat - le client de discussion extensible

SYNOPSIS

weechat [-a|--no-connect] [-d|--dir <répertoire>] [-p|--no-plugin] [-r|--run-command <commande>] [-s|--no-script] [--upgrade] [extension:option...]
weechat [-c|--colors]
weechat [-h|--help]
weechat [-l|--license]
weechat [-v|--version]

DESCRIPTION

WeeChat (Wee Enhanced Environment for Chat) est un client de discussion libre, rapide et léger, conçu pour différents systèmes d’exploitation. Il est hautement paramétrable et extensible avec des scripts.

OPTIONS

-a, --no-connect
    Supprimer la connexion automatique aux serveurs lors du démarrage.

-c, --colors
    Afficher les couleurs par défaut du terminal.

-d, --dir <répertoire>
    Définir le répertoire comme étant la base de WeeChat (utilisé pour les fichiers de configuration, logs, extensions et scripts de l’utilisateur), la valeur par défaut est ~/.weechat (note : le répertoire est créé s’il n’est pas trouvé par WeeChat). Si cette option n’est pas donnée, la variable d’environnement WEECHAT_HOME est utilisée (si non vide).

-h, --help
    Afficher l’aide.

-l, --license
    Afficher la licence de WeeChat.

-p, --no-plugin
    Supprimer le chargement automatique des extensions au démarrage.

-r, --run-command <commande>
    Lancer la/les commande(s) après le démarrage (plusieurs commandes peuvent être séparées par des points-virgules).

-s, --no-script
    Supprimer le chargement automatique des scripts au démarrage.

--upgrade
    Mettre à jour WeeChat en utilisant les fichiers de session générés avec la commande /upgrade -quit.

-v, --version
    Afficher la version de WeeChat.

extension:option
    Option pour une extension.

OPTIONS D’EXTENSION

Pour une documentation complète sur les options des extensions, merci de consulter la documentation des extensions dans le guide utilisateur de WeeChat.

Avec l’extension irc, vous pouvez vous connecter à un serveur de manière temporaire avec une URL, comme ceci :

    irc[6][s]://[[pseudo][:motdepasse]@]serveur[:port][/#canal1[,#canal2...]]

Pour rejoindre le canal IRC de support WeeChat avec le pseudo "monpseudo" :

    irc://monpseudo@chat.freenode.net/#weechat

Les adresses IPv6 peuvent être entourées par des crochets pour ajouter un port après, par exemple :

    irc://monpseudo@[2001:db8:0:85a3::ac1f:8001]:6668/#test

FICHIERS

$HOME/.weechat/weechat.conf
    fichier de configuration principal de WeeChat

$HOME/.weechat/plugins.conf
    fichier de configuration des extensions

$HOME/.weechat/sec.conf
    fichier de configuration avec les données sécurisées

$HOME/.weechat/alias.conf
    fichier de configuration pour l’extension alias

$HOME/.weechat/aspell.conf
    fichier de configuration pour l’extension aspell

$HOME/.weechat/charset.conf
    fichier de configuration pour l’extension charset

$HOME/.weechat/exec.conf
    fichier de configuration pour l’extension exec

$HOME/.weechat/irc.conf
    fichier de configuration pour l’extension irc

$HOME/.weechat/logger.conf
    fichier de configuration pour l’extension logger

$HOME/.weechat/relay.conf
    fichier de configuration pour l’extension relay

$HOME/.weechat/script.conf
    fichier de configuration pour l’extension script

$HOME/.weechat/trigger.conf
    fichier de configuration pour l’extension trigger

$HOME/.weechat/xfer.conf
    fichier de configuration pour l’extension xfer

$HOME/.weechat/weechat.log
    fichier de log de WeeChat

AUTEURS

Cette page de manuel a été écrite par Sébastien Helleu <flashcode@flashtux.org>.

COPYRIGHT

WeeChat est écrit par Sébastien Helleu et des contributeurs (la liste complète est dans le fichier AUTHORS.asciidoc).

Copyright © 2003-2016 Sébastien Helleu <flashcode@flashtux.org>

WeeChat est un logiciel libre; vous pouvez le redistribuer et/ou le modifier sous les termes de la GNU General Public License telle que publiée par la Free Software Foundation; soit la version 3 de la licence, ou (selon votre choix) toute version ultérieure.

Merci de consulter le fichier COPYING pour plus d’informations.

Site web : https://weechat.org/

SUPPORT / SIGNALER DES BUGS

Pour de l’aide ou signaler un bug : https://weechat.org/dev/support